replace_extension(3)

NAME
replace_extension

SYNOPSIS
#include <allegro.h>

char *replace_extension(char *dest, const char *filename, const char *ext, int size);

DESCRIPTION
Replaces the specified filename+extension with a new extension tail, storing at most size bytes into the dest buffer. Returns a copy of the dest parameter.

SEE ALSO
get_extension(3), replace_filename(3)